org.apache.commons.ssl

## Class PKCS8Key.DecryptResult

- java.lang.Object
- - org.apache.commons.ssl.PKCS8Key.DecryptResult

Enclosing class:
  PKCS8Key

    public static class PKCS8Key.DecryptResult
    extends java.lang.Object

### Field Summary

Fields
`byte[]` `bytes`
`int` `keySize`
`java.lang.String` `transformation`

### Constructor Summary

Constructors
`protected` `PKCS8Key.DecryptResult(java.lang.String transformation, int keySize, byte[] decryptedBytes)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### transformation

    public final java.lang.String transformation

#### keySize

    public final int keySize

#### bytes

    public final byte[] bytes

### Constructor Detail

#### PKCS8Key.DecryptResult

    protected PKCS8Key.DecryptResult(java.lang.String transformation,
                          int keySize,
                          byte[] decryptedBytes)